com.brightcove.player.metadata

## Class TextInformationFrame

- java.lang.Object
- - com.brightcove.player.metadata.TextInformationFrame

- All Implemented Interfaces:
    android.os.Parcelable

      public final class TextInformationFrame
      extends java.lang.Object
      implements android.os.Parcelable

  Text information ID3 frame.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `android.os.Parcelable.ClassLoaderCreator<T>, android.os.Parcelable.Creator<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static android.os.Parcelable.Creator<TextInformationFrame>` | `CREATOR`
    `java.lang.String` | `description`
    `java.lang.String` | `id`
    `java.lang.String` | `value`

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `describeContents()`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `void` | `writeToParcel(android.os.Parcel dest, int flags)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          @NonNull
          public final java.lang.String id

    - #### description

          @NonNull
          public final java.lang.String description

    - #### value

          @NonNull
          public final java.lang.String value

    - #### CREATOR

          public static final android.os.Parcelable.Creator<TextInformationFrame> CREATOR

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `android.os.Parcelable`

    - #### writeToParcel

          public void writeToParcel(android.os.Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `android.os.Parcelable`